Holger's Java API

## com.antelmann.math
Class Temperature

    java.lang.Object
      com.antelmann.math.DefaultUnit
          com.antelmann.math.BaseUnit
              com.antelmann.math.Temperature

All Implemented Interfaces:
  Unit, Localizable, Serializable

    public class Temperature

extends BaseUnit

temperature unit along with their conversions. Calculations are based on float.

Since:
  09.10.2014, 12:37:47
Author:
  holger
See Also:
  `SIBaseUnit.KELVIN`, Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface com.antelmann.util.Localizable
`Localizable.Adapter`

Field Summary
`static Temperature` `C` Celsius (centigrade)
`static Temperature` `F` Fahrenheit
`static Temperature` `K` Kelvin

Fields inherited from class com.antelmann.math.BaseUnit
`CONVERTER`

Fields inherited from class com.antelmann.math.DefaultUnit
`name, symbol`

Constructor Summary
`Temperature(String symbol, String name, Converter<Number,Number> thisToBaseConverter)`

Method Summary
`static Temperature` `fromSymbol(String symbol)`
`static Temperature[]` `getKnownValues()`

Methods inherited from class com.antelmann.math.BaseUnit
`convert, convert, fromBaseUnit, getBase, toBaseUnit, toBaseUnit`

Methods inherited from class com.antelmann.math.DefaultUnit
`equals, getLocale, getUnitName, getUnitSymbol, hashCode, setLocale, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### K

    public static final Temperature K

  Kelvin

### C

    public static final Temperature C

  Celsius (centigrade)

### F

    public static final Temperature F

  Fahrenheit

Constructor Detail

### Temperature

    public Temperature(String symbol,
                       String name,
                       Converter<Number,Number> thisToBaseConverter)

Method Detail

### getKnownValues

    public static Temperature[] getKnownValues()

### fromSymbol

    public static Temperature fromSymbol(String symbol)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads